Retrieves all the car travels
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
car_travel| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| car_id |
Foreign key of Car |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time travel FROM |
date |
Required |
| date_to_rounded |
Date+Time travel TO |
date |
Required |
| notes |
Additional notes field |
string | |
| to_travel_type_code |
Kind of travel. Can be |
string |
Required |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| km_distance |
Distance traveled |
integer | |
| km_private |
Personal distance traveled |
integer | |
| from_travel_type_code |
Travel type when going to location |
string | |
| from_db_table_name |
Value of linked table |
string | |
| from_id_in_table |
Foreign key to object traveling from |
globally unique identifier | |
| to_db_table_name |
Value of linked table |
string | |
| to_id_in_table |
Foreign key to object traveling from |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "3de170cd-92e4-4646-a932-76810231c606",
"user_id": "8747af3f-219a-4e54-aaa6-ec32f37a0e03",
"car_id": "b1c7e53a-df0a-4aa6-b130-ac737bcc1ede",
"hour_type_id": "709abdb4-611c-4cbb-a8a8-b87df777f458",
"date_from_rounded": "2026-05-25T00:56:15.0143042+00:00",
"date_to_rounded": "2026-05-25T00:56:15.0143042+00:00",
"notes": "sample string 7",
"to_travel_type_code": "sample string 8",
"is_approved": true,
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-05-25T00:56:15.0143042+00:00",
"km_distance": 16,
"km_private": 17,
"from_travel_type_code": "sample string 18",
"from_db_table_name": "sample string 19",
"from_id_in_table": "6447c90e-0cee-43ea-a80c-10c178b4152a",
"to_db_table_name": "sample string 21",
"to_id_in_table": "db22b06e-7e10-4f96-96ba-1bcd8be9b821"
}